Skip to main content
POST
/
work_pools
/
{name}
/
concurrency_status
Read Work Pool Concurrency Status
curl --request POST \
  --url https://api.example.com/work_pools/{name}/concurrency_status \
  --header 'Content-Type: application/json' \
  --data '
{
  "page": 1,
  "flow_run_limit": 10,
  "limit": 123
}
'
{
  "active_slots": 123,
  "count": 123,
  "limit": 123,
  "pages": 123,
  "page": 123,
  "concurrency_limit": 123,
  "queues": [
    {
      "queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "queue_name": "<string>",
      "active_slots": 123,
      "concurrency_limit": 123,
      "flow_runs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "state_type": "SCHEDULED",
          "state_name": "<string>",
          "start_time": "2023-11-07T05:31:56Z",
          "state_timestamp": "2023-11-07T05:31:56Z",
          "time_in_current_state": 123
        }
      ],
      "flow_run_count": 123
    }
  ]
}

Headers

x-prefect-api-version
string

Path Parameters

name
string
required

The work pool name

Body

application/json
page
integer
default:1
Required range: x >= 1
flow_run_limit
integer
default:10

Max flow runs per queue

Required range: 0 <= x <= 200
limit
integer

Defaults to PREFECT_API_DEFAULT_LIMIT if not provided.

Response

Successful Response

Paginated pool-level concurrency status with per-queue breakdown.

active_slots
integer
required
count
integer
required

Total number of queues.

limit
integer
required

Page size.

pages
integer
required

Total number of pages.

page
integer
required

Current page number (1-indexed).

concurrency_limit
integer | null
queues
WorkQueueConcurrencyStatusDetail · object[]